Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.event.knowledgebase
Class DefaultKnowledgeBaseEventListener

    java.lang.Object
      org.drools.event.knowledgebase.DefaultKnowledgeBaseEventListener

All Implemented Interfaces:
  EventListener, KnowledgeBaseEventListener

    public class DefaultKnowledgeBaseEventListener

extends Object
implements KnowledgeBaseEventListener

Constructor Summary
`DefaultKnowledgeBaseEventListener()`

Method Summary
`void` | `afterFunctionRemoved(AfterFunctionRemovedEvent event)` Method called after a function is removed from the rule base
`void` | `afterKnowledgeBaseLocked(AfterKnowledgeBaseLockedEvent event)` Method called after a knowledge base is locked
`void` | `afterKnowledgeBaseUnlocked(AfterKnowledgeBaseUnlockedEvent event)` Method called after a knowledge base is unlocked
`void` | `afterKnowledgePackageAdded(AfterKnowledgePackageAddedEvent event)` Method called after a new package is added to the knowledge base
`void` | `afterKnowledgePackageRemoved(AfterKnowledgePackageRemovedEvent event)` Method called after a package is removed from the knowledge base
`void` | `afterProcessAdded(AfterProcessAddedEvent event)` Method called after a function is removed from the knowledge base
`void` | `afterProcessRemoved(AfterProcessRemovedEvent event)` Method called after a function is removed from the knowledge base
`void` | `afterRuleAdded(AfterRuleAddedEvent event)` Method called after a new rule is added to the knowledge base
`void` | `afterRuleRemoved(AfterRuleRemovedEvent event)` Method called after a rule is removed from the knowledge base
`void` | `beforeFunctionRemoved(BeforeFunctionRemovedEvent event)` Method called before a function is removed from the knowledge base
`void` | `beforeKnowledgeBaseLocked(BeforeKnowledgeBaseLockedEvent event)` Method called before a knowledge base is locked
`void` | `beforeKnowledgeBaseUnlocked(BeforeKnowledgeBaseUnlockedEvent event)` Method called before a knowledge base is unlocked
`void` | `beforeKnowledgePackageAdded(BeforeKnowledgePackageAddedEvent event)` Method called before a new package is added to the knowledge base
`void` | `beforeKnowledgePackageRemoved(BeforeKnowledgePackageRemovedEvent event)` Method called before a package is removed from the knowledge base
`void` | `beforeProcessAdded(BeforeProcessAddedEvent event)` Method called before a process is removed from the knowledge base
`void` | `beforeProcessRemoved(BeforeProcessRemovedEvent event)` Method called before a function is removed from the knowledge base
`void` | `beforeRuleAdded(BeforeRuleAddedEvent event)` Method called before a new rule is added to the knowledge base
`void` | `beforeRuleRemoved(BeforeRuleRemovedEvent event)` Method called before a rule is removed from the knowledge base

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultKnowledgeBaseEventListener

    public DefaultKnowledgeBaseEventListener()

Method Detail

### afterFunctionRemoved

    public void afterFunctionRemoved(AfterFunctionRemovedEvent event)

  Description copied from interface: `KnowledgeBaseEventListener`
  Method called after a function is removed from the rule base

  Specified by:
    `afterFunctionRemoved` in interface `KnowledgeBaseEventListener`

### afterKnowledgeBaseLocked

    public void afterKnowledgeBaseLocked(AfterKnowledgeBaseLockedEvent event)

  Description copied from interface: `KnowledgeBaseEventListener`
  Method called after a knowledge base is locked

  Specified by:
    `afterKnowledgeBaseLocked` in interface `KnowledgeBaseEventListener`

### afterKnowledgeBaseUnlocked

    public void afterKnowledgeBaseUnlocked(AfterKnowledgeBaseUnlockedEvent event)

  Description copied from interface: `KnowledgeBaseEventListener`
  Method called after a knowledge base is unlocked

  Specified by:
    `afterKnowledgeBaseUnlocked` in interface `KnowledgeBaseEventListener`

### afterKnowledgePackageAdded

    public void afterKnowledgePackageAdded(AfterKnowledgePackageAddedEvent event)

  Description copied from interface: `KnowledgeBaseEventListener`
  Method called after a new package is added to the knowledge base

  Specified by:
    `afterKnowledgePackageAdded` in interface `KnowledgeBaseEventListener`

### afterKnowledgePackageRemoved

    public void afterKnowledgePackageRemoved(AfterKnowledgePackageRemovedEvent event)

  Description copied from interface: `KnowledgeBaseEventListener`
  Method called after a package is removed from the knowledge base

  Specified by:
    `afterKnowledgePackageRemoved` in interface `KnowledgeBaseEventListener`

### afterRuleAdded

    public void afterRuleAdded(AfterRuleAddedEvent event)

  Description copied from interface: `KnowledgeBaseEventListener`
  Method called after a new rule is added to the knowledge base

  Specified by:
    `afterRuleAdded` in interface `KnowledgeBaseEventListener`

### afterRuleRemoved

    public void afterRuleRemoved(AfterRuleRemovedEvent event)

  Description copied from interface: `KnowledgeBaseEventListener`
  Method called after a rule is removed from the knowledge base

  Specified by:
    `afterRuleRemoved` in interface `KnowledgeBaseEventListener`

### beforeFunctionRemoved

    public void beforeFunctionRemoved(BeforeFunctionRemovedEvent event)

  Description copied from interface: `KnowledgeBaseEventListener`
  Method called before a function is removed from the knowledge base

  Specified by:
    `beforeFunctionRemoved` in interface `KnowledgeBaseEventListener`

### beforeKnowledgeBaseLocked

    public void beforeKnowledgeBaseLocked(BeforeKnowledgeBaseLockedEvent event)

  Description copied from interface: `KnowledgeBaseEventListener`
  Method called before a knowledge base is locked

  Specified by:
    `beforeKnowledgeBaseLocked` in interface `KnowledgeBaseEventListener`

### beforeKnowledgeBaseUnlocked

    public void beforeKnowledgeBaseUnlocked(BeforeKnowledgeBaseUnlockedEvent event)

  Description copied from interface: `KnowledgeBaseEventListener`
  Method called before a knowledge base is unlocked

  Specified by:
    `beforeKnowledgeBaseUnlocked` in interface `KnowledgeBaseEventListener`

### beforeKnowledgePackageAdded

    public void beforeKnowledgePackageAdded(BeforeKnowledgePackageAddedEvent event)

  Description copied from interface: `KnowledgeBaseEventListener`
  Method called before a new package is added to the knowledge base

  Specified by:
    `beforeKnowledgePackageAdded` in interface `KnowledgeBaseEventListener`

### beforeKnowledgePackageRemoved

    public void beforeKnowledgePackageRemoved(BeforeKnowledgePackageRemovedEvent event)

  Description copied from interface: `KnowledgeBaseEventListener`
  Method called before a package is removed from the knowledge base

  Specified by:
    `beforeKnowledgePackageRemoved` in interface `KnowledgeBaseEventListener`

### beforeRuleAdded

    public void beforeRuleAdded(BeforeRuleAddedEvent event)

  Description copied from interface: `KnowledgeBaseEventListener`
  Method called before a new rule is added to the knowledge base

  Specified by:
    `beforeRuleAdded` in interface `KnowledgeBaseEventListener`

### beforeRuleRemoved

    public void beforeRuleRemoved(BeforeRuleRemovedEvent event)

  Description copied from interface: `KnowledgeBaseEventListener`
  Method called before a rule is removed from the knowledge base

  Specified by:
    `beforeRuleRemoved` in interface `KnowledgeBaseEventListener`

### beforeProcessAdded

    public void beforeProcessAdded(BeforeProcessAddedEvent event)

  Description copied from interface: `KnowledgeBaseEventListener`
  Method called before a process is removed from the knowledge base

  Specified by:
    `beforeProcessAdded` in interface `KnowledgeBaseEventListener`

### afterProcessAdded

    public void afterProcessAdded(AfterProcessAddedEvent event)

  Description copied from interface: `KnowledgeBaseEventListener`
  Method called after a function is removed from the knowledge base

  Specified by:
    `afterProcessAdded` in interface `KnowledgeBaseEventListener`

### beforeProcessRemoved

    public void beforeProcessRemoved(BeforeProcessRemovedEvent event)

  Description copied from interface: `KnowledgeBaseEventListener`
  Method called before a function is removed from the knowledge base

  Specified by:
    `beforeProcessRemoved` in interface `KnowledgeBaseEventListener`

### afterProcessRemoved

    public void afterProcessRemoved(AfterProcessRemovedEvent event)

  Description copied from interface: `KnowledgeBaseEventListener`
  Method called after a function is removed from the knowledge base

  Specified by:
    `afterProcessRemoved` in interface `KnowledgeBaseEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.